import React from 'react';
import { FieldConfig } from 'formik';
import { ITextInputCredentialsProps } from 'practical-react-components-core';
export interface IFormikInputCredentialsProps extends Omit<ITextInputCredentialsProps, 'name' | 'value'>, Partial<Pick<ITextInputCredentialsProps, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare const FormikInputCredentials: React.FC<IFormikInputCredentialsProps>;
export declare const FormikInputCredentialsField: React.FunctionComponent<import("practical-react-components-core").IFieldProps & IFormikInputCredentialsProps>;
