import React from 'react';
import { FieldConfig } from 'formik';
import { IDurationInputProps } from 'practical-react-components-core';
export interface IFormikDurationInputProps extends Omit<IDurationInputProps, 'name' | 'value' | 'onChange'>, Partial<Pick<IDurationInputProps, 'value' | 'onChange'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare const FormikDurationInput: React.FC<IFormikDurationInputProps>;
export declare const FormikDurationInputField: React.FunctionComponent<import("practical-react-components-core").IFieldProps & IFormikDurationInputProps>;
