import React from 'react';
import { FieldConfig } from 'formik';
import { ISelectProps, IFieldProps } from 'practical-react-components-core';
export interface IFormikSelectProps<V extends string = string> extends Omit<ISelectProps<V>, 'name' | 'value'>, Partial<Pick<ISelectProps<V>, 'value'>>, Pick<FieldConfig, 'name' | 'validate'> {
}
export declare function FormikSelect<V extends string = string>({ name, validate, ...props }: IFormikSelectProps<V>): JSX.Element;
export declare const FormikSelectField: <V extends string = string>(props: IFieldProps & IFormikSelectProps<V>) => React.ReactElement<any, any> | null;
